VkPipelineRasterizationStateCreateInfo Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkPipelineRasterizationStateCreateFlags | flags
VkBool32 | depthClampEnable
VkBool32 | rasterizerDiscardEnable
VkPolygonMode | polygonMode
VkCullModeFlags | cullMode
VkFrontFace | frontFace
VkBool32 | depthBiasEnable
float | depthBiasConstantFactor
float | depthBiasClamp
float | depthBiasSlopeFactor
float | lineWidth

## Detailed Description

Definition at line 2014 of file vulkan.h.

## Field Documentation

## cullMode

VkCullModeFlags VkPipelineRasterizationStateCreateInfo::cullMode

Definition at line 2021 of file vulkan.h.

## depthBiasClamp

float VkPipelineRasterizationStateCreateInfo::depthBiasClamp

Definition at line 2025 of file vulkan.h.

## depthBiasConstantFactor

float VkPipelineRasterizationStateCreateInfo::depthBiasConstantFactor

Definition at line 2024 of file vulkan.h.

## depthBiasEnable

VkBool32 VkPipelineRasterizationStateCreateInfo::depthBiasEnable

Definition at line 2023 of file vulkan.h.

## depthBiasSlopeFactor

float VkPipelineRasterizationStateCreateInfo::depthBiasSlopeFactor

Definition at line 2026 of file vulkan.h.

## depthClampEnable

VkBool32 VkPipelineRasterizationStateCreateInfo::depthClampEnable

Definition at line 2018 of file vulkan.h.

## flags

VkPipelineRasterizationStateCreateFlags VkPipelineRasterizationStateCreateInfo::flags

Definition at line 2017 of file vulkan.h.

## frontFace

VkFrontFace VkPipelineRasterizationStateCreateInfo::frontFace

Definition at line 2022 of file vulkan.h.

## lineWidth

float VkPipelineRasterizationStateCreateInfo::lineWidth

Definition at line 2027 of file vulkan.h.

## pNext

const void* VkPipelineRasterizationStateCreateInfo::pNext

Definition at line 2016 of file vulkan.h.

## polygonMode

VkPolygonMode VkPipelineRasterizationStateCreateInfo::polygonMode

Definition at line 2020 of file vulkan.h.

## rasterizerDiscardEnable

VkBool32 VkPipelineRasterizationStateCreateInfo::rasterizerDiscardEnable

Definition at line 2019 of file vulkan.h.

## sType

VkStructureType VkPipelineRasterizationStateCreateInfo::sType

Definition at line 2015 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h